Project

General

Profile

Actions

Bug #5651

closed

contrib/generate_build_dep.sh does not work if erlang versions are different

Added by daniel 4 months ago. Updated 3 months ago.

Status:
Closed
Priority:
Low
Assignee:
Target version:
-
Start date:
08/19/2022
Due date:
% Done:

100%


Description

I tried uploading a custom osmo-dia2gsup package from my laptop to obs, but when obs uses the beam files from the build_dep.tar.gz it aborts with an error saying the versions don't match.

So while the current solution seems to work with the jenkins obs job maybe we should find some more robust was to download the dependencies.

Actions #1

Updated by daniel 4 months ago

  • Assignee set to lynxis

Assigning to lynxis since he wanted to look at rebar3 which is doing something similar

Actions #2

Updated by lynxis 3 months ago

  • Status changed from New to In Progress
Actions #3

Updated by lynxis 3 months ago

  • Status changed from In Progress to Feedback
  • % Done changed from 0 to 90
rebar3 still doesn't support vendoring. It's experimental.

After testing the issue with a debian bullseye (11) and bookworm (12/testing).
The gerrit 29241 fixes it for me.
Otherwise the experimental feature might be good for a try.

Waiting for gerrit feedback

Actions #4

Updated by lynxis 3 months ago

  • Status changed from Feedback to Closed

The commit has been merged.

Actions #5

Updated by lynxis 3 months ago

  • % Done changed from 90 to 100
Actions

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 48.8 MB)